Skip to content

Update batch non eligible products

PUT
/api/v2.0/stores/{storeId}/non-eligible-products
curl --request PUT \
--url https://api.diller.app/api/v2.0/stores/your-store-id/non-eligible-products \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '[ { "id": 1, "product_id": "example", "product_id_prefix": "example", "product_category_id": "example", "description": "example", "subsystem": "example", "expires_at": "example" } ]'

Update a batch of non-eligible products for a specific store, with a maximum limit of 100 products.

storeId
required
string

The unique identifier of the store.

Example
your-store-id

The list of non-eligible products to update.

Array<object>
object
id
integer format: int32
product_id

The external product id of the non eligible product

string
nullable
product_id_prefix

Prefix for filtering products with matching product IDs prefix.

string
nullable
product_category_id

The product category id that identifies all related products as non eligible

string
nullable
description
string
nullable
subsystem

Options availabe are ‘All’ - It matchs all subsystems, ‘Loyalty’ - Regarding loyalty points subsystem, ‘Lipscore’

string
nullable
expires_at

The date when the non-eligible product expires. It should use the format yyyy-MM-dd and be greater than today.

string
nullable
Examplegenerated
[
{
"id": 1,
"product_id": "example",
"product_id_prefix": "example",
"product_category_id": "example",
"description": "example",
"subsystem": "example",
"expires_at": "example"
}
]

The non-eligible products were successfully updated.

Media typeapplication/json
object
is_ok
boolean
details
string
nullable
Examplegenerated
{
"is_ok": true,
"details": "example"
}

Returns a Multi-Status response if there are both successful and failed updates.

Media typeapplication/json
Array<object>
object
id
integer format: int32
status
boolean
errors
Array<string>
nullable
Examplegenerated
[
{
"id": 1,
"status": true,
"errors": [
"example"
]
}
]

Returns a BadRequest response if there are issues with the update request.

Issues may include duplicate product IDs or validation failures.

Check the response body for details on the encountered errors.

Media typeapplication/json
Array<object>
object
id
integer format: int32
status
boolean
errors
Array<string>
nullable
Examplegenerated
[
{
"id": 1,
"status": true,
"errors": [
"example"
]
}
]